Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

List crm tasks

GET /api/crm/tasks

Read canonical tasks. Default 50, max 100. Follow nextCursor for more.

Parameters

workspaceId
string
No description.
prospectId
string
No description.
status
string
No description.
pending | done
due
string
No description.
overdue | upcoming | undated
cursor
string
No description.
limit
number
No description.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/crm/tasks" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"tasks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"prospectId": {
"type": "string"
},
"title": {
"type": "string"
},
"dueDate": {
"type": [
"string",
"null"
]
},
"status": {
"type": "string",
"enum": [
"pending",
"done"
]
},
"createdBy": {
"type": "string"
},
"createdAt": {
"type": [
"string",
"null"
]
},
"updatedAt": {
"type": [
"string",
"null"
]
},
"prospectName": {
"type": [
"string",
"null"
]
},
"companyName": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"workspaceId",
"prospectId",
"title",
"dueDate",
"status",
"createdBy",
"createdAt",
"updatedAt"
]
}
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"tasks",
"nextCursor"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline